Subject: Re: [PATCH 2/2] powerpc: Switch to generic WARN_ON()/BUG_ON()

From: Scott Wood <[email-masked]>
Date: Thu, 11 Oct 2007 14:55:44 -0500

On Thu, Oct 11, 2007 at 12:14:13PM -0500, Olof Johansson wrote:
> Not using the ppc-specific WARN_ON/BUG_ON constructs actually saves about
> 4K text on a ppc64_defconfig. The main reason seems to be that prepping
> the arguments to the conditional trap instructions is more work than
> just doing a compare and branch.

It'd be nice if we could get GCC to generate bug table entries for
__builtin_trap(); that way we could use GCC's ability to put arbitrary
conditions in the trap instruction.

-Scott